﻿<% @Import Namespace="Seven.DSS.Business" %>
<% @Import Namespace="Seven.DSS.Globals" %>
<% @Import Namespace="Seven.DSS.Objects" %>
<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="HLPEstructura.aspx.cs" Inherits="Seven.DSS.HLPEstructura" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Seven Ayuda - Estructura del Sistema</title>
    
    <!-- #include file="JS_CSS.html" -->

    <script type="text/javascript">
    
    </script>

    <style type="text/css">
        .HLPImagen
        {
           padding:1px;
           border:1px solid #021a40;
        }
    </style>
        
</head>
<body>
    <div id="wrap">
        
        <div id="contenido">
        
            <!-- #include file="Accordion.html" -->
            
            <div id="cuerpo">
            
                <div id="SevenBreadcrumb" class="ui-state-default">
                    <a href="Contenidos.aspx">Contenidos</a>
                    <img src="../img/arrow.png" alt="" />
                    <a href="HLPEstructura.aspx">Estructura del Sistema</a>
                </div>
            
                <div id="SevenPrincipal">
                
                    <div id="SevenMedio">
                    
                        <div id="SevenInterno" style="width: 800px; height: 1000px;">

                            <br />

                            <table>
                                <tr>
                                    <td>
                                        <span class="SevenTitulo">Estructura del Sistema</span>
                                    </td>
                                </tr>
                            </table>

                            <p style="font-size: 12pt; white-space: normal;" align="justify">Seven DSS se diseñó pensando en facilitarle el trabajo al usuario, 
                            permitiendole aprender fácilmente a utilizarlo. Para ello la mayor parte de módulos se desarrolaron de forma estandarizada, es decir
                            de manera similar y uniforme para evitar que aprenda una forma diferente por ejemplo, de crear registros.</p>

                            <p style="font-size: 12pt; white-space: normal;" align="justify">El objetivo de esta página de ayuda es enseñarle la estructura del sistema,
                            donde aprenderá los conceptos base sobre los cuales podrá dominar Seven DSS.</p>

                            <p style="font-size: 12pt; white-space: normal;" align="justify"><b>Los módulos del sistema se divenden siempre en tres partes:</b></p>

                            <table width="100%"><tr><td align="center">
                            <img class="HLPImagen" src="img/A_Estructura.png"/>
                            </td></tr></table>

                            <h3>Estado del módulo:</h3>

                            <p style="font-size: 12pt; white-space: normal;" align="justify">La imagen anterior muestra el módulo de <a href="HLPProvincias.aspx">Provincias</a>
                            en modo de edición de registro existente. <b>Los módulos manejan dos estados, modo de creación cuando se va a crear un registro
                            existente y modo de edición, para registros existentes en el sistema.</b> Módulos complejos como <a href="HLPPolizas.aspx">Pólizas</a>, 
                            <a href="HLPAgentes.aspx">Agentes</a>, y <a href="HLPLineas.aspx">Líneas</a> cambian mucho en el modo de edición para agregar datos adicionales al registro.</p>
                            
                            <h3>Título:</h3>

                            <p style="font-size: 12pt; white-space: normal;" align="justify">Muestra el título del módulo. A la par verá enlaces para mostrar el
                            listado, ver la ayuda respectiva de ese módulo y en módulos especiales pueden haber más enlaces que aparecen según el contexto, crear un
                            registro nuevo o editar un registro existente.</p>

                            <h3>Formulario:</h3>

                            <p style="font-size: 12pt; white-space: normal;" align="justify">En esta parte aparecen los distintos campos para ingresar los datos del módulo.
                            Hay módulos que muestran solo información en esta parte y otros que al estar en modo de edición habilitan o inhabilitan campos o elementos de esta
                            sección, como en el caso de <a href="HLPCobros.aspx">Cobros</a>.</p>

                            <h3>Comandos:</h3>

                            <p style="font-size: 12pt; white-space: normal;" align="justify">Aquí se encuentran los comandos importantes del módulo. A continuación se 
                            mencionan los más comunes:</p>

                            <ul>
                                <li style="font-size: 12pt;">
                                    <img src="../img/document.png" alt="Nuevo" /> <b>Nuevo :</b> Sólo aparece en modo de edición. Permite recargar el módulo en modo
                                    de creación de registros.
                                </li>
                                <li style="font-size: 12pt;">
                                    <img src="../img/disk.png" alt="Guardar" /> <b>Guardar :</b> En modo de creación crea el registro y en modo de edición guarda los cambios realizados
                                    <br />al registro.
                                </li>
                                <li style="font-size: 12pt;">
                                    <img src="../img/arrow-return-180-left.png" alt="Cancelar" /> <b>Cancelar :</b> Recarga el módulo, ya sea en modo de creación o edición para cancelar los cambios
                                    <br />hechos en los campos de datos y volver a ver lo anterior.
                                </li>
                                <li style="font-size: 12pt;">
                                    <img src="../img/cross.png" alt="Salir" /> <b>Salir :</b> Sale del módulo y vuelve a la página de Inicio.
                                </li>
                                <li style="font-size: 12pt;">
                                    <img src="../img/seven_duplicar.png" alt="Salir" /> <b>Duplicar :</b> Este es un ejemplo de comando especial que aparece en el modo de edición en <a href="HLPLineas.aspx">Líneas</a>.
                                    <br />Permite duplicar el registro de línea con todos sus datos.
                                </li>
                            </ul>
                            
                        </div>
                    
                    </div>
                
                </div>

                <!-- #include file="StatusBarLogin.html" -->
            
            </div>
        
        </div>
    
    </div>
</body>
</html>
