﻿<% @Import Namespace="Seven.DSS" %>
<% @Import Namespace="Seven.DSS.Business" %>
<% @Import Namespace="Seven.DSS.Globals" %>
<% @Import Namespace="Seven.DSS.Objects" %>
<%@ Page Language="C#" MasterPageFile="ModelMAN.Master" AutoEventWireup="true" CodeBehind="RPTManBitacoraSeguridad.aspx.cs" Inherits="Seven.DSS.RPTManBitacoraSeguridad" %>


<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title>MAN - <%=L.TIT("BitacoraSeguridad") %></title>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <script type="text/javascript">

        function Log() {
            window.open('Informe.aspx?r=1000'
                + '&s=' + $('#txtFecIni').val()
                + '&f=' + $('#txtFecFin').val()
                + '&u=' + $('#cbOperador').val()
                + '&m=' + $('#cbModulo').val()
                + '&a=' + $('#cbAplicacion').val()
                + '&d=' + $('#cbDatos').val()
                + '&o=' + $('#cbOpcion').val()
                + '&t=' + $('#txtFiltro').val()
            , "_blank");
        }

        function GetAplicaciones() {
            $.ajax({
                type: "GET",
                url: 'Servicio.svc/GetAplicacionesCombo',
                data: {
                    "id_modulo": $('#cbModulo').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>"
                    , "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>"
                    , "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                },
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (json) {
                    $("#cbAplicacion").html(json.d);
                    jQueryUIOtraVez();
                    GetDatos();
                    GetOpciones();
                }
            });
        };

        function GetDatos() {
            $.ajax({
                type: "GET",
                url: 'Servicio.svc/GetDatosComboBS',
                data: {
                    "id_modulo": $('#cbModulo').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>"
                    , "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>"
                    , "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                },
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (json) {
                    $("#cbDatos").html(json.d);
                    jQueryUIOtraVez();
                }
            });
        };

        function GetOpciones() {
            $.ajax({
                type: "GET",
                url: 'Servicio.svc/GetOpcionesCombo',
                data: {
                    "id_app": $('#cbAplicacion').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>"
                    , "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>"
                    , "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                },
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (json) {
                    $("#cbOpcion").html(json.d);
                    jQueryUIOtraVez();
                }
            });
        };
    
    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#SevenMenu").accordion("option", "active", <%=AccoIDX %>);

            $("#EnlaceMaestro").focus();

            GetAplicaciones();

        });

    </script>

    <style type="text/css">
        .NoScroll div
        {
            overflow: hidden;    
        }
    </style>
        
    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

                <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>
            
                <div id="SevenBreadcrumb" class="ui-state-default">
                    <table style="width: 100%; white-space: nowrap;">
                        <tr>
                            <td>
                                <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M<%=AccoIDX + 1 %>';" style="cursor: pointer;">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/e-book-reader24.png" />
                                            </td>
                                            <td>
                                                <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                                <img src="img/arrow.png" alt="" />
                                <a href="RPTManBitacoraSeguridad.aspx">MAN - <%=L.TIT("BitacoraSeguridad") %></a>
                            </td>
                            <td style="width: 100%;"></td>
                            <td>
                                <%=L.LBL("LblGENLanguage") %>
                            </td>
                            <td>
                                <!-- #include file="LanguageCombo.html" -->
                            </td>
                        </tr>
                    </table>
                </div>
            
                <div id="SevenPrincipal">
                
                    <div id="SevenMedio">
                    
                        <div id="SevenInterno" style="width: 450px; height: 250px;">

                            <table>
                                <tr>
                                    <td>
                                        <span class="SevenTitulo"><%=L.TIT("BitacoraSeguridad") %></span>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td>
                                        <div class="SevenEnlaces">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <a href="Ayuda/HLPInformes.aspx" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                    <!--
                                    <td>
                                        <button type="button" onclick="window.location.href='RPTManBitacoraSeguridad.aspx?op=' + $('#cbDatosFront').val();">
                                            <table><tr><td><img src="img/database-gold.png" alt="Base de Datos" /></td><td>Cambiar</td></tr></table>
                                        </button>
                                    </td>
                                    -->
                                </tr>
                            </table>

                            <% /* B02 */ %>

                            <fieldset>
                                <table>
                                    <tr>
                                        <td>Desde: </td>
                                        <td>
                                            <input type="text" id="txtFecIni" name="txtFecIni" class="eligeFecha" 
                                                style="width: 100px;" value="<%=string.Format("{0:d}", DateTime.Today.AddDays(-1)) %>" />
                                        </td>
                                        <td>Hasta: </td>
                                        <td>
                                            <input type="text" id="txtFecFin" name="txtFecFin" class="eligeFecha" 
                                                style="width: 100px;" value="<%=string.Format("{0:d}", DateTime.Today) %>" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>Usuario: </td>
                                        <td colspan="3">
                                            <%=cbOperador %>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Módulo:
                                        </td>
                                        <td colspan="3">
                                            <%=cbModulo %>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Aplicación:
                                        </td>
                                        <td colspan="3">
                                            <select id="cbAplicacion" style="width: 250px;" onclick="GetOpciones();"></select>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Opción:
                                        </td>
                                        <td colspan="3">
                                            <select id="cbOpcion" style="width: 250px;" ></select>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Datos:
                                        </td>
                                        <td colspan="3">
                                            <select id="cbDatos" style="width: 250px;" ></select>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Palabras Clave:
                                        </td>
                                        <td colspan="3">
                                            <input type="text" id="txtFiltro" name="txtFiltro" value="" style="width: 250px;" />
                                        </td>
                                    </tr>
                                </table>
                            </fieldset>

                            <br />

                            <table style="width: 100%;">
                                <tr>
                                    <td colspan="4">
                                        <table style="width: 100%;">
                                            <tr>
                                                <td style="width: 100%;"></td>
                                                <td>
                                                    <button type="button" id="btnImprimir" onclick="Log();" title="Imprimir">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <img src="img/printer.png" alt="Imprimir" />
                                                                </td>
                                                                <td>Imprimir</td>
                                                            </tr>
                                                        </table>
                                                    </button>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>

                        </div>
                    
                    </div>
                
                </div>

    <% } catch { } %>

</asp:Content>
