﻿<% @Import Namespace="Seven.DSS" %>
<% @Import Namespace="Seven.DSS.Business" %>
<% @Import Namespace="Seven.DSS.Globals" %>
<% @Import Namespace="Seven.DSS.Objects" %>
<%@ Page Language="C#" MasterPageFile="ModelINV.Master" AutoEventWireup="true" CodeBehind="RPTInvSubmay.aspx.cs" Inherits="Seven.DSS.RPTInvSubmay" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title>INV - <%=L.TIT("InventarioActual") %></title>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <script type="text/javascript">

        function CargarBaseDatos()
        {
            $('#dlgCargando').dialog('open');
            window.location.href='RPTInvSubmay.aspx?op=' + $('#cbDatosInv').val();
        }

        function Ver()
        {
            window.open('Informe.aspx?r=21&f=' + $('#txtFecha').val(), '_blank');
        }

    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#SevenMenu").accordion("option", "active", <%=AccoIDX %>);

            $("#EnlaceMaestro").focus();

            $('#cbDatosInv').val(<%=c.DatosINV %>);

        });

    </script>

    <style type="text/css">
        .NoScroll div
        {
            overflow: hidden;    
        }
    </style>
        
    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

                <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>
            
                <div id="SevenBreadcrumb" class="ui-state-default">
                    <table style="width: 100%; white-space: nowrap;">
                        <tr>
                            <td>
                                <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M<%=AccoIDX + 1 %>';" style="cursor: pointer;">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/e-book-reader24.png" />
                                            </td>
                                            <td>
                                                <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                                <img src="img/arrow.png" alt="" />
                                <a href="RPTInvSubmay.aspx">INV - <%=L.TIT("InventarioActual") %></a>
                            </td>
                            <td style="width: 100%;"></td>
                            <td>
                                <%=L.LBL("LblGENLanguage") %>
                            </td>
                            <td>
                                <!-- #include file="LanguageCombo.html" -->
                            </td>
                        </tr>
                    </table>
                </div>
            
                <div id="SevenPrincipal">
                
                    <div id="SevenMedio">
                    
                        <div id="SevenInterno" style="width: 500px; height: 300px;">

                            <table>
                                <tr>
                                    <td>
                                        <span class="SevenTitulo"><%=L.TIT("InventarioActual") %></span>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td>
                                        <div class="SevenEnlaces">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <a href="Ayuda/HLPInformes.aspx" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                </tr>
                            </table>

                            <br />

                            <table>
                                <tr>
                                    <td><b><%=L.LBL("LblBSDatos") %>: </b></td>
                                    <td>
                                        <%=cbDatosInv %>
                                    </td>
                                </tr>
                            </table>

                            <br />
                            
                            <fieldset>
                                <table>
                                    <tr>
                                        <td>
                                            Fecha:
                                        </td>
                                        <td>
                                            <input type="text" name="txtFecha" id="txtFecha" value="<% Response.Write(String.Format("{0:d}", c.InvFecha)); %>" class="eligeFecha" />
                                        </td>
                                        <td>
                                            <button type="button" onclick="Ver();" >
                                                    <table><tr><td><img src="img/magnifier16.png" alt="<%=L.LBL("LblGENVer") %>" /></td><td><%=L.LBL("LblGENVer") %></td></tr></table>
                                            </button>
                                        </td>
                                        <td></td>
                                    </tr>
                                </table>
                            </fieldset>

                            <br />

                            <table class="SevenMsgExito">
                                <tr>
                                    <td style="font-size: 10pt; text-align: justify; white-space: normal; padding: 5px;">
                                        Reporte que contiene las existencias a la fecha del inventario de toda la existencia en el Hotel / Negocio, este tendrá sumado almacenes y secciones.<br />
                                        <br />
                                        Lo que se recomienda es que la fecha de inventario este atrasada 7 días de la fecha natural en lugares donde los movimientos son digitados y <br />
                                        procesados por pocas personas, esto para permitir digitar toda la información y aplicar con el orden cronológico sin que queda nada por fuera.
                                    </td>
                                </tr>
                            </table>
                        </div>
                    
                    </div>
                
                </div>

    <% } catch { } %>

</asp:Content>
