﻿<% @Import Namespace="Seven.DSS" %>
<% @Import Namespace="Seven.DSS.Business" %>
<% @Import Namespace="Seven.DSS.Globals" %>
<% @Import Namespace="Seven.DSS.Objects" %>
<%@ Page Language="C#" MasterPageFile="ModelPOS.Master" AutoEventWireup="true" CodeBehind="RPTPosVentas.aspx.cs" Inherits="Seven.DSS.RPTPosVentas" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title>POS - <%=L.TIT("Ventas") %></title>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <script type="text/javascript">

        function CargarBaseDatos()
        {
            $('#dlgCargando').dialog('open');
            window.location.href='RPTPosVentas.aspx?op=' + $('#cbDatosPos').val();
        }

        function Ver()
        {
            window.open('Informe.aspx?r=30' 
                + '&p=' + $('#cbPOS').val() 
                + '&f=' + $('#cbFamiPOS').val()
                + '&t=' + $('input:radio[name=rbTipoInforme]:checked').val() 
                + '&a=' + $('#txtCantArti').val()
                + '&m=' + $('input:radio[name=rbMasVendidos]:checked').val() 
                + '&s=' + $('#txtFecIni').val() 
                + '&e=' + $('#txtFecFin').val()
            , '_blank');
        }
    
    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $('#cbFamiPOS').val(<%=c.PosFamilia %>);
            $('#cbPOS').val(<%=c.Pos %>);

            $('#cbDatosPos').val(<%=c.DatosPOS %>);

            $("#SevenMenu").accordion("option", "active", <%=AccoIDX %>);

            $("#EnlaceMaestro").focus();

        });

    </script>

    <style type="text/css">
        .NoScroll div
        {
            overflow: hidden;    
        }
    </style>
        
    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

                <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>
            
                <div id="SevenBreadcrumb" class="ui-state-default">
                    <table style="width: 100%; white-space: nowrap;">
                        <tr>
                            <td>
                                <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M<%=AccoIDX + 1 %>';" style="cursor: pointer;">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/e-book-reader24.png" />
                                            </td>
                                            <td>
                                                <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                                <img src="img/arrow.png" alt="" />
                                <a href="RPTPosVentas.aspx">POS - <%=L.TIT("Ventas") %></a>
                            </td>
                            <td style="width: 100%;"></td>
                            <td>
                                <%=L.LBL("LblGENLanguage") %>
                            </td>
                            <td>
                                <!-- #include file="LanguageCombo.html" -->
                            </td>
                        </tr>
                    </table>
                </div>
            
                <div id="SevenPrincipal">
                
                    <div id="SevenMedio">
                    
                        <div id="SevenInterno" style="width: 450px; height: 350px;">

                            <table>
                                <tr>
                                    <td>
                                        <span class="SevenTitulo"><%=L.TIT("Ventas") %></span>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td>
                                        <div class="SevenEnlaces">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <a href="Ayuda/HLPInformes.aspx" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td><b><%=L.LBL("LblBSDatos") %>: </b></td>
                                    <td>
                                        <%=cbDatosPos %>
                                    </td>
                                    <!--
                                    <td>
                                        <button type="button" onclick="window.location.href='RPTPosVentas.aspx?op=' + $('#cbDatosPos').val();">
                                            <table><tr><td><img src="img/database-gold.png" alt="Base de Datos" /></td><td>Cambiar</td></tr></table>
                                        </button>
                                    </td>
                                    -->
                                </tr>
                            </table>

                            <br />

                            <fieldset>
                            
                                <table>
                                    <tr>
                                    
                                        <td>Punto de Venta:</td>
                                        <td>
                                            <%=cbPOS %>
                                        </td>
                                        <td>Familia:</td>
                                        <td>
                                            <%=cbFamiPOS %>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Tipo de Informe:
                                        </td>
                                        <td colspan="3">
                                            <input type="radio" name="rbTipoInforme" value="0" <% if(c.PosTipoInforme == 0){ %> checked="checked" <% } %>/> Totalizado
                                            <input type="radio" name="rbTipoInforme" value="1" <% if(c.PosTipoInforme == 1){ %> checked="checked" <% } %>/> Resumido
                                            <input type="radio" name="rbTipoInforme" value="2" <% if(c.PosTipoInforme == 2){ %> checked="checked" <% } %> /> Detallado
                                            <input type="radio" name="rbTipoInforme" value="3" <% if(c.PosTipoInforme == 3){ %> checked="checked" <% } %> /> Cuenta Casa
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="5">
                                            <div class="SevenEnlaces">
                                                <table style="width: 100%;">
                                                    <tr>
                                                        <td colspan="4"><b>Sólo para el Informe de Tipo Detallado</b></td>
                                                    </tr>
                                                    <tr>
                                                        <td>Ver los:</td>
                                                        <td>
                                                            <input type="radio" name="rbMasVendidos" value="1" <% if(c.MasVendidos == 1){ %> checked="checked" <% } %>/> Más vendidos
                                                            <input type="radio" name="rbMasVendidos" value="0" <% if(c.MasVendidos == 0){ %> checked="checked" <% } %>/> Menos vendidos
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            Cantidad
                                                        </td>
                                                        <td>
                                                            <input type="text" id="txtCantArti" name="txtCantArti" value="<% Response.Write(c.CantArticulos); %>" style="width: 100px;" /> (cero = todos)
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </td>
                                    </tr>
                                </table>

                            </fieldset>

                            <br />

                            <table style="width: 100%;">
                                <tr>
                                    <td>Inicio: </td>
                                    <td>
                                        <input type="text" id="txtFecIni" name="txtFecIni" class="eligeFecha" 
                                            style="width: 100px;" value="<% Response.Write(String.Format("{0:d}", c.PosInicio)); %>" />
                                    </td>
                                    <td>Fin: </td>
                                    <td>
                                        <input type="text" id="txtFecFin" name="txtFecFin" class="eligeFecha" 
                                            style="width: 100px;" value="<% Response.Write(String.Format("{0:d}", c.PosFin)); %>" />
                                    </td>
                                    <td>
                                        <table style="width: 100%;">
                                            <tr>
                                                <td style="width: 100%;"></td>
                                                <td>
                                                    <button type="button" onclick="Ver();" >
                                                        <table><tr><td><img src="img/magnifier16.png" alt="<%=L.LBL("LblGENVer") %>" /></td><td><%=L.LBL("LblGENVer") %></td></tr></table>
                                                    </button>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                                
                            </table>

                            <br />

                            <table class="SevenMsgExito">
                                <tr>
                                    <td style="font-size: 10pt; text-align: justify; white-space: normal; padding: 5px;">
                                        <b>Totalizado - [S.E.] - Sin Enlazar</b>: En el reporte de ventas totalizado, las agrupaciones que lleven la leyenda [S.E.],<br /> 
                                        refiere a que existieron ventas de familias, que no están enlazadas al punto de ventas en este momento.
                                    </td>
                                </tr>
                            </table>

                            
                  
                        </div>
                    
                    </div>
                
                </div>

    <% } catch { } %>

</asp:Content>
